Quassel IRC - Bug #1059

core crashes on not decryptable text
03/03/2011 10:41 PM - rellig

Status: Resolved Start date: 03/03/2011
Priority: Normal Due date:

Assignee: johu % Done: 100%
Category: Quassel Core Estimated time: 0.00 hour

Target version:

Version: 0.7-pre 0S: Any

Description
the core crashes when a user sends a message beginning with "+OK" in a channel with crypted communication (/setkey)

how to (re)produce: http://paste.minad.de/?nid=307

log: http://paste.minad.de/?nid=308

Related issues:
Related to Quassel IRC - Bug #1314: Crash Resolved 09/27/2014

History

#1 - 03/03/2011 10:45 PM - johu
- Category set to Quassel Core

- Assignee set to johu

#2 - 09/07/2018 09:26 PM - Alturiak

Unfortunately, I'm not able to reproduce this bug on 0.13-rc1. Given the age of the ticket, I'd assume this was fixed somewhere along the way.

#3 - 09/08/2018 01:16 AM - genius3000
- Related to Bug #1314: Crash added

#4 - 09/08/2018 01:16 AM - genius3000
- Status changed from New to Resolved

- % Done changed from 0 to 100

Appears to be caused by the issue fixed in #1314.
